Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface GrailsUrlMappingsClass

    org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAware
      org.codehaus.groovy.grails.commons.GrailsUrlMappingsClass
          org.codehaus.groovy.grails.commons.GrailsClass

All Superinterfaces:
  GrailsApplicationAware, GrailsClass

    public interface GrailsUrlMappingsClass
    extends GrailsClass

Loads the UrlMappings.

Method Summary
`java.util.List` | `getExcludePatterns()` Returns a List of URI patterns to exclude.
`groovy.lang.Closure` | `getMappingsClosure()` Returns the mappings closure which is called to evaluate the url mappings.

Methods inherited from interface GrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance

Methods inherited from interface GrailsApplicationAware
setGrailsApplication

Method Detail

### getExcludePatterns

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.List getExcludePatterns()

  Returns a List of URI patterns to exclude.
  Returns:
    the patterns (Strings)

### getMappingsClosure

    @java.lang.SuppressWarnings("rawtypes")
    public groovy.lang.Closure getMappingsClosure()

  Returns the mappings closure which is called to evaluate the url mappings.
  Returns:
    A Closure instance

Groovy Documentation